import React, { Component } from 'react';
import {TouchableOpacity, Text, Image, StyleSheet, Dimensions} from 'react-native';

const sendImage = require('../assets/sendButton.png');
const {width} = Dimensions.get('window');

export default class SendButton extends Component {

  render() {
    const {onPress} = this.props;
    const { container, button } = styles;

    return (
      <TouchableOpacity onPress={onPress} style={container}>
        <Image
          source={sendImage}
          style={button}
        />
      </TouchableOpacity>
    )
  }
}

const styles = StyleSheet.create({
  container: {
    marginRight: 12
  },
  button: {
    width: width / 8,
    height: width / 8,
  }
});
